Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5099)
@@ -60,5 +60,5 @@
   !Oost et al.  zo=50/2/pi L (u*/c)**4.5 if jwave=1
   !taylor and yelland  zo=1200 h*(L/h)**4.5 jwave=2
-  !
+
   USE MODD_CSTS,       ONLY : XKARMAN, XG, XSTEFAN, XRD, XRV, XPI, &
                             XLVTT, XCL, XCPD, XCPV, XRHOLW, XTT, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5099)
@@ -1,15 +1,15 @@
-!
+
 MODULE coef_diff_turb_mod
-!
+
 ! This module contains some procedures for calculation of the coefficients of the
 ! turbulent diffusion in the atmosphere and coefficients for turbulent diffusion 
 ! at surface(cdrag)
-!
+
   IMPLICIT NONE
   
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE coef_diff_turb(dtime, nsrf, knon, ni, &
        ypaprs, ypplay, yu, yv, yq, yt, yts, yqsurf, ycdragm, &
@@ -19,11 +19,11 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: prt_level, lunout
-!
+
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the 
 ! atmosphere 
 ! NB! No values are calculated between surface and the first model layer. 
 !     ycoefm(:,1) and ycoefh(:,1) are not valid !!!
-!
-!
+
+
 ! Input arguments
 !****************************************************************************************
@@ -75,5 +75,5 @@
 ! Calcul de coefficients de diffusion turbulent de l'atmosphere : 
 ! ycoefm(:,2:klev), ycoefh(:,2:klev) 
-!
+
 !****************************************************************************************    
 
@@ -87,5 +87,5 @@
 ! Eventuelle recalcule des coeffeicients de diffusion turbulent de l'atmosphere : 
 ! ycoefm(:,2:klev), ycoefh(:,2:klev) 
-!
+
 !****************************************************************************************
 
@@ -105,5 +105,5 @@
 !****************************************************************************************  
 ! Calcul d'une diffusion minimale pour les conditions tres stables
-!
+
 !****************************************************************************************
     IF (ok_kzmin) THEN
@@ -123,5 +123,5 @@
 !****************************************************************************************
 ! MELLOR ET YAMADA adapte a Mars Richard Fournier et Frederic Hourdin
-! 
+
 !****************************************************************************************
 
@@ -198,7 +198,7 @@
 
   END SUBROUTINE coef_diff_turb
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE coefkz(nsrf, knon, paprs, pplay, &
        ksta, ksta_ter, &
@@ -227,5 +227,5 @@
 ! t--------input-R- temperature (K)
 ! q--------input-R- vapeur d'eau (kg/kg)
-!
+
 ! pcfm-----output-R- coefficients a calculer (vitesse)
 ! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
@@ -235,7 +235,7 @@
     INCLUDE "FCTTRE.h"
     INCLUDE "compbl.h"
-!
+
 ! Arguments:
-!
+
     INTEGER, INTENT(IN)                      :: knon, nsrf
     REAL, INTENT(IN)                         :: ksta, ksta_ter
@@ -248,11 +248,10 @@
     REAL, DIMENSION(klon,klev), INTENT(OUT)  :: pcfm, pcfh
 
-!
 ! Local variables:
-!
+
     INTEGER, DIMENSION(klon)    :: itop ! numero de couche du sommet de la couche limite
-!
+
 ! Quelques constantes et options:
-!
+
     REAL, PARAMETER :: cepdu2=0.1**2
     REAL, PARAMETER :: CKAP=0.4
@@ -279,5 +278,4 @@
     LOGICAL, PARAMETER :: opt_ec=.FALSE.! formule du Centre Europeen dans l'atmosphere
 
-!
 ! Variables locales:
     INTEGER i, k !IM 120704
@@ -292,5 +290,5 @@
     REAL, PARAMETER :: t_coup=273.15
     LOGICAL, PARAMETER :: check=.FALSE.
-!
+
 ! contre-gradient pour la chaleur sensible: Kelvin/metre
     REAL gamt(2:klev)
@@ -298,5 +296,5 @@
     LOGICAL, SAVE :: appel1er=.TRUE.
     !$OMP THREADPRIVATE(appel1er)
-!
+
 ! Fonctions thermodynamiques et fonctions d'instabilite
     REAL fsta, fins, x
@@ -317,7 +315,7 @@
        ENDIF
     ENDIF
-!
+
 ! Initialiser les sorties
-!
+
     DO k = 1, klev
        DO i = 1, knon
@@ -329,8 +327,7 @@
        itop(i) = 0
     ENDDO
-    
-!
+
 ! Prescrire la valeur de contre-gradient
-!
+
     IF (iflag_pbl==1) THEN
        DO k = 3, klev
@@ -353,7 +350,6 @@
 !IM cf JLD/ GKtest fin
 
-!
 ! Calculer les geopotentiels de chaque couche
-!
+
     DO i = 1, knon
        zgeop(i,1) = RD * t(i,1) / (0.5*(paprs(i,1)+pplay(i,1))) &
@@ -368,7 +364,6 @@
     ENDDO
 
-!
 ! Calculer les coefficients turbulents dans l'atmosphere
-!
+
     DO i = 1, knon
        itop(i) = isommet
@@ -385,7 +380,6 @@
           zq = (q(i,k)+q(i,k-1)) * 0.5
 
-!
 ! Calculer Qs et dQs/dT:
-!
+
           IF (thermcep) THEN
              zdelta = MAX(0.,SIGN(1.,RTT-zt))
@@ -406,7 +400,7 @@
              ENDIF
           ENDIF
-!
+
 !           calculer la fraction nuageuse (processus humide):
-!
+
           if (zq /= 0.) then
              zfr = (zq+ratqs*zq-zqs) / (2.0*ratqs*zq)
@@ -416,7 +410,7 @@
           zfr = MAX(0.0,MIN(1.0,zfr))
           IF (.NOT.richum) zfr = 0.0
-!
+
 !           calculer le nombre de Richardson:
-!
+
           IF (tvirtu) THEN
              ztvd =( t(i,k) &
@@ -445,7 +439,7 @@
                   /(zdu2*0.5*(t(i,k-1)+t(i,k)))
           ENDIF
-!
+
 !           finalement, les coefficients d'echange sont obtenus:
-!
+
           zcdn=SQRT(zdu2) / zmgeom(i) * RG
 
@@ -479,7 +473,6 @@
     ENDDO
 
-!
 ! Au-dela du sommet, pas de diffusion turbulente:
-!
+
     DO i = 1, knon
        IF (itop(i)+1 <= klev) THEN
@@ -492,7 +485,7 @@
       
   END SUBROUTINE coefkz
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE coefkz2(nsrf, knon, paprs, pplay,t, &
        pcfm, pcfh)
@@ -505,5 +498,5 @@
 ! ou une forte inversion est presente
 ! On peut dire qu'il represente la convection peu profonde
-!
+
 ! Arguments:
 ! nsrf-----input-I- indicateur de la nature du sol
@@ -512,11 +505,11 @@
 ! pplay----input-R- pression au milieu de chaque couche (en Pa)
 ! t--------input-R- temperature (K)
-!
+
 ! pcfm-----output-R- coefficients a calculer (vitesse)
 ! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
 !======================================================================
-!
+
 ! Arguments:
-!
+
     INTEGER, INTENT(IN)                       :: knon, nsrf
     REAL, DIMENSION(klon, klev+1), INTENT(IN) ::  paprs
@@ -525,7 +518,7 @@
     
     REAL, DIMENSION(klon, klev), INTENT(OUT)  :: pcfm, pcfh
-!
+
 ! Quelques constantes et options:
-!
+
     REAL, PARAMETER :: prandtl=0.4
     REAL, PARAMETER :: kstable=0.002
@@ -537,7 +530,6 @@
 !    PARAMETER (seuil=-0.09)
 
-!
 ! Variables locales:
-!
+
     INTEGER i, k, invb(knon)
     REAL zl2(knon)
@@ -545,7 +537,7 @@
 
     INCLUDE "YOMCST.h"
-!
+
 ! Initialiser les sorties
-!
+
     DO k = 1, klev
        DO i = 1, knon
@@ -555,7 +547,6 @@
     ENDDO
 
-!
 ! Chercher la zone d'inversion forte
-!
+
     DO i = 1, knon
        invb(i) = klev
@@ -575,7 +566,6 @@
     ENDDO
 
-!
 ! Introduire une diffusion:
-!
+
     IF ( nsrf==is_oce ) THEN
        DO k = 2, klev
@@ -601,6 +591,6 @@
 
   END SUBROUTINE coefkz2
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE coef_diff_turb_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
-!
-!
+
+
+
       SUBROUTINE coefcdrag (klon, knon, nsrf, zxli, &
                             speed, t, q, zgeop, psol, &
@@ -15,8 +15,8 @@
 !         du nombre de Richardson entre la surface et le niveau de reference 
 !         (zri1) et de la pression au niveau de reference (pref).    
-!
+
 ! I. Musat, 01.07.2002
 !-------------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -34,5 +34,5 @@
 !                  et zref par rapport au Ri entre la sfce et la 1ere couche
 ! ri1-----input-R- nb. Richardson entre la surface et la 1ere couche
-!
+
 ! cdram--output-R- cdrag pour le moment
 ! cdrah--output-R- cdrag pour les flux de chaleur latente et sensible
@@ -40,5 +40,5 @@
 ! zri1---output-R- nb. Richardson entre la surface et la couche zgeop/RG
 ! pref---output-R- pression au niveau zgeop/RG
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli 
@@ -46,8 +46,8 @@
       REAL, dimension(klon), intent(in) :: ts, qsurf, rugos, ri1 
       LOGICAL, intent(in) :: okri    
-!
+
       REAL, dimension(klon), intent(out) :: cdram, cdrah, cdran, zri1, pref
 !-------------------------------------------------------------------------
-!
+
       include "YOMCST.h"
       include "YOETHF.h"
@@ -55,5 +55,5 @@
 ! Quelques constantes :
       REAL, parameter :: RKAR=0.40, CB=5.0, CC=5.0, CD=5.0, cepdu2=(0.1)**2
-!
+
 ! Variables locales :
       INTEGER :: i
@@ -67,8 +67,4 @@
   CHARACTER (LEN=20) :: modname = 'coefcdra'
 
-
-!
-
-
 !-------------------------------------------------------------------------
       REAL :: fsta, fins, x
@@ -80,7 +76,6 @@
   CALL abort_physic(modname,abort_message,1)
 
-!
       DO i = 1, knon
-!
+
        zdphi(i) = zgeop(i)
        zdu2(i) = max(cepdu2,speed(i)**2)
@@ -97,7 +92,7 @@
        ztvd(i) = ztvd(i) * trm1(i)
        zri1(i) = zdphi(i)*(ztvd(i)-ztsolv(i))/(zdu2(i)*ztvd(i))
-!
+
 ! on teste zri1 par rapport au Richardson de la 1ere couche ri1 
-!
+
 !IM +++
        IF(1==0) THEN
@@ -111,14 +106,14 @@
        ENDIF
 !IM ---
-! 
+
        cdran(i) = (RKAR/log(1.+zdphi(i)/(RG*rugos(i))))**2
 
        IF (zri1(i) >= 0.) THEN
-!
+
 ! situation stable : pour eviter les inconsistances dans les cas 
 ! tres stables on limite zri1 a 20. cf Hess et al. (1995)
-!
+
          zri1(i) = min(20.,zri1(i))
-!
+
          IF (.NOT.zxli) THEN
            zscf(i) = SQRT(1.+CD*ABS(zri1(i)))
@@ -135,9 +130,9 @@
            cdrah(i) = cdran(i)* fsta(zri1(i))
          ENDIF
-!
+
        ELSE
-! 
+
 ! situation instable
-!
+
          IF (.NOT.zxli) THEN
            zucf(i) = 1./(1.+3.0*CB*CC*cdran(i)*SQRT(ABS(zri1(i)) &
@@ -152,7 +147,7 @@
            cdrah(i) = cdran(i)* fins(zri1(i))
          ENDIF
-!
+
 ! cdrah sur l'ocean cf. Miller et al. (1992)
-!
+
          zcr(i) = (0.0016/(cdran(i)*SQRT(zdu2(i))))*ABS(ztvd(i)-ztsolv(i)) &
                **(1./3.)
@@ -162,5 +157,5 @@
                   **(1./1.25)
        ENDIF
-!
+
       END DO
       RETURN 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h	(revision 5099)
@@ -1,5 +1,5 @@
-      !
+
       ! $Header$
-      !
+
 !jyg+al1<
 !!      integer iflag_pbl,iflag_pbl_split
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/comsoil.h	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Header$
-!
 
       common /comsoil/inertie_sol,inertie_sno,inertie_sic,inertie_lic,  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5099)
@@ -149,5 +149,4 @@
   REAL, DIMENSION(klon),        INTENT(OUT)     :: epmax_diag                ! epmax_cape
 
-!
 !  Local
 !  ----
@@ -167,5 +166,5 @@
   REAL, DIMENSION(klon)                         :: supmax0, asupmaxmin
   REAL                                          :: zx_t, zdelta, zx_qs, zcor
-!
+
 !   INTEGER iflag_mix
 !   SAVE iflag_mix
@@ -240,7 +239,7 @@
     ALLOCATE (t1(klon,klev))
     ALLOCATE (q1(klon,klev))
-!
+
     convoccur(:) = 0.
-!
+
     itap = 0
     igout = klon/2 + 1/klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conema3.h	(revision 5099)
@@ -1,6 +1,6 @@
-!
+
 ! $Header$
 !-- Modified by : Filiberti M-A 06/2005
-!
+
       real epmax             ! 0.993
       real coef_epmax_cape             ! 0.993
